from django.http import HttpResponse
from rest_framework import viewsets
from .models import (
    Game,
    Guild,
    Player,
    PlayerGuild,
    PlayerGameData,
    GuildGameDataSchema,
    WowClasses,
)
from .serializers import (
    GameSerializer,
    GuildSerializer,
    PlayerSerializer,
    PlayerGuildSerializer,
    PlayerGameDataSerializer,
    GuildGameDataSchemaSerializer,
    WowClassesSerializer,
)


def hello_world(request):
    return HttpResponse("Hello, World!")


class GameViewSet(viewsets.ModelViewSet):
    queryset = Game.objects.all()
    serializer_class = GameSerializer


class GuildViewSet(viewsets.ModelViewSet):
    queryset = Guild.objects.all()
    serializer_class = GuildSerializer


class PlayerViewSet(viewsets.ModelViewSet):
    queryset = Player.objects.all()
    serializer_class = PlayerSerializer


class PlayerGameDataViewSet(viewsets.ModelViewSet):
    queryset = PlayerGameData.objects.all()
    serializer_class = PlayerGameDataSerializer


class GuildGameDataSchemaViewSet(viewsets.ModelViewSet):
    queryset = GuildGameDataSchema.objects.all()
    serializer_class = GuildGameDataSchemaSerializer


class PlayerGuildViewSet(viewsets.ModelViewSet):
    queryset = PlayerGuild.objects.all()
    serializer_class = PlayerGuildSerializer


class WowClassesViewSet(viewsets.ModelViewSet):
    queryset = WowClasses.objects.all()
    serializer_class = WowClassesSerializer
